## lxqt-common 0.9.1+20150720

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-common)

find_package(lxqt REQUIRED)

include(GNUInstallDirs)
include(LXQtTranslateDesktop)

install(DIRECTORY graphics DESTINATION "${LXQT_SHARE_DIR}")

# startlxqt script
configure_file(startlxqt.in startlxqt @ONLY)
install(PROGRAMS
    "${CMAKE_CURRENT_BINARY_DIR}/startlxqt"
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

# default config files
add_subdirectory(config)
add_subdirectory(autostart)

# xsession *.desktop file for display managers
add_subdirectory(xsession)
add_subdirectory(themes)
add_subdirectory(menu)
add_subdirectory(icons)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== config/CMakeLists.txt ===
# install default config files to /etc/xdg
install(FILES
    lxqt.conf	
    session.conf
    windowmanagers.conf	
    DESTINATION "${LXQT_ETC_XDG_DIR}/lxqt"
    COMPONENT Runtime
)
install(DIRECTORY openbox
    DESTINATION "${LXQT_SHARE_DIR}"
    COMPONENT Runtime
)

configure_file(pcmanfm-qt/lxqt/settings.conf.in pcmanfm-qt/lxqt/settings.conf @ONLY)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/pcmanfm-qt/lxqt/settings.conf"
    DESTINATION "${LXQT_ETC_XDG_DIR}/pcmanfm-qt/lxqt"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-common (0.9.1+20150720-2) unstable; urgency=medium

  * Removed breaks/replaces
  * Fixed Recommends - lxqt-panel removed, the recommend make no sense
  * Added linker flags  -Wl,--as-needed
 -- Alf Gaida <agaida@siduction.org>  Tue, 10 Nov 2015 21:52:14 +0100

lxqt-common (0.9.1+20150720-1) unstable; urgency=medium

  [ Alf Gaida ]
  * initial debian files.
  * Initial release (Closes: #747599)
  * Imported Upstream version 0.8.0.
  * bump standards to 3.9.6.
  * Min Qt version 5.3.2.
  * Min liblxqt-qt5-dev version 0.8.0.
  * added a lintian-override for startlxqt manpage.
  * enable compton by default.
  * new release 0.9.1 cleanup debian $foo added source/options.
  * Some cleanup in debian $foo.
  * oxygen-icon-theme added as Recommend vcs-fields fixed.
  * dependencies fixed missed colon in uploaders fixed.
  * drop metapackage.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.1+20150720.
  * Removing whitespaces at EOL and EOF.
  * Added myself as Uploader.
  * Updating license for LXQt logo.

  [ Alf Gaida ]
  * copyright fixed, add kde-next.png with lgpl3.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 15 Aug 2015 23:55:52 +0800

=== debian/control ===
Source: lxqt-common
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libx11-dev,
               pkg-config,
               libkf5windowsystem-dev,
               liblxqt0-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-common.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-common.git
Homepage: https://github.com/lxde/lxqt-common

Package: lxqt-common
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: oxygen-icon-theme
Description: Common files for LXQt
 Some common files for LXQt:
   * autostart
   * graphis
   * themes
   * xsession
 .
 This Package contains common LXQt files.

=== debian/watch ===
version=3
https://github.com/lxde/lxqt-common/releases .*/([\d\.]+).tar.gz

## lxqt-common 0.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,11 @@
 install(DIRECTORY graphics DESTINATION "${LXQT_SHARE_DIR}")
 
 # startlxqt script
+set(PREDEF_XDG_DATA_DIRS "$XDG_DATA_HOME")
+if(NOT("${LXQT_DATA_DIR}" MATCHES "^/usr(/local)?/share$"))
+    set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:${LXQT_DATA_DIR}")
+endif()
+set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:/usr/local/share:/usr/share")
 configure_file(startlxqt.in startlxqt @ONLY)
 install(PROGRAMS
     "${CMAKE_CURRENT_BINARY_DIR}/startlxqt"

=== debian/changelog ===
lxqt-common (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Set minimum versions for liblxqt and libqtxdg
  * Removed unused breaks/replaces
  * Fixed Recommends - lxqt-panel removed, the recommend make no sense
  * Added linker flags  -Wl,--as-needed
  * Added upstream signing key and use it in watch file
  * Fixed VCS-Fields

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 Sep 2015 22:51:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cmake (>= 3.0.2),
+               libkf5windowsystem-dev,
+               liblxqt0-dev (>= 0.10.0),
+               libqt5x11extras5-dev,
+               libqt5xdg-dev (>= 1.3.0),
                libx11-dev,
                pkg-config,
-               libkf5windowsystem-dev,
-               liblxqt0-dev,
-               libqt5x11extras5-dev,
-               libqt5xdg-dev,
                qttools5-dev,
                qttools5-dev-tools
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-common.git
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-common.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-common.git/?h=debian/sid
+Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-common.git -b debian/sid
 Homepage: https://github.com/lxde/lxqt-common
 
 Package: lxqt-common

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake --parallel

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-common/releases .*/([\d\.]+).tar.gz

## lxqt-common 0.11.0

=== debian/changelog ===
lxqt-common (0.11.0-4) unstable; urgency=medium

  * Added debian/applications which contain some modified for LXQt
    xfwm4 desktop files.

 -- Alf Gaida <agaida@siduction.org>  Tue, 06 Dec 2016 17:40:57 +0100

lxqt-common (0.11.0-3) unstable; urgency=medium

  * Cherry-picking new upstream version 0.11.0.
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version liblxqt0-dev (>= 0.11.0),
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0),
  * Added build dependency libqt5svg5-dev
  * Added dependency x11-utils
  * Following the Multiarch hinter:
    - Marked lxqt-common Multi-Arch: foreign
  * Fixed .gitignore, added missed build-stamp
  * Fixed VCS fields, use https and plain /git/
  * Fixed copyright Format field
  * Bumped years in copyright
  * Install manpages
  * Removed no longer needed lintian-overrides

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Jul 2016 17:58:40 +0200

=== debian/control ===
Source: lxqt-common
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-common.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-common.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-common

Package: lxqt-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         x11-utils
Recommends: oxygen-icon-theme
Description: Common files for LXQt
 Some common files for LXQt:
   * autostart
   * graphis
   * themes
   * xsession
 .
 This Package contains common LXQt files.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-common 0.11.1

=== debian/changelog ===
lxqt-common (0.11.1-2) unstable; urgency=medium

  * Added Dependency libfile-mimeinfo-perl

 -- Alf Gaida <agaida@siduction.org>  Tue, 03 Jan 2017 15:25:35 +0100

lxqt-common (0.11.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.11.1.
  * Added to Recommends:
    - fonts-hack-ttf
    - fonts-noto
    - breeze-icon-theme | faenza-icon-theme
    - breeze-cursor-theme | chameleon-cursor-theme
  * Added CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added build dependency lxqt-build-tools
  * Removed build dependencies:
    - cmake
    - libkf5windowsystem-dev
    - liblxqt0-dev
    - libqt5svg5-dev
    - libqt5x11extras5-dev
    - libqt5xdg-dev
    - libx11-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools

 -- Alf Gaida <agaida@siduction.org>  Tue, 03 Jan 2017 15:16:12 +0100

=== debian/control ===
Source: lxqt-common
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               lxqt-build-tools (>= 0.3.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-common.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-common.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-common

Package: lxqt-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         libfile-mimeinfo-perl,
         x11-utils
Recommends: breeze-icon-theme | oxygen-icon-theme | faenza-icon-theme,
            breeze-cursor-theme | chameleon-cursor-theme,
            xfwm4-theme-breeze, 
            fonts-hack-ttf,
            fonts-noto
Description: Common files for LXQt
 Some common files for LXQt:
   * autostart
   * graphis
   * themes
   * xsession
 .
 This Package contains common LXQt files.

## lxqt-common 0.11.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-common)

set(LXQTBT_MINIMUM_VERSION "0.1.0")

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

include(GNUInstallDirs)
include(LXQtTranslateDesktop)
include(LXQtConfigVars)

install(DIRECTORY "graphics/" DESTINATION "${LXQT_GRAPHICS_DIR}")

# startlxqt script
set(PREDEF_XDG_DATA_DIRS "$XDG_DATA_HOME")
if(NOT("${LXQT_DATA_DIR}" MATCHES "^/usr(/local)?/share$"))
    set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:${LXQT_DATA_DIR}")
endif()
set(PREDEF_XDG_DATA_DIRS "${PREDEF_XDG_DATA_DIRS}:/usr/local/share:/usr/share")
configure_file(startlxqt.in startlxqt @ONLY)
install(PROGRAMS
    "${CMAKE_CURRENT_BINARY_DIR}/startlxqt"
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    startlxqt.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

# default config files
add_subdirectory(config)
add_subdirectory(autostart)

# xsession *.desktop file for display managers
add_subdirectory(xsession)
add_subdirectory(themes)
add_subdirectory(menu)
add_subdirectory(icons)

=== config/CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,13 @@
 install(FILES
     lxqt.conf	
     session.conf
-    windowmanagers.conf	
+    windowmanagers.conf
+    globalkeyshortcuts.conf
     DESTINATION "${LXQT_ETC_XDG_DIR}/lxqt"
     COMPONENT Runtime
 )
 install(DIRECTORY openbox
-    DESTINATION "${LXQT_SHARE_DIR}"
+    DESTINATION "${LXQT_ETC_XDG_DIR}"
     COMPONENT Runtime
 )

=== xsession/CMakeLists.txt ===
# TODO/FIXME: install kdm/gdm files too
# this file should be enough but it needs testing...
file(GLOB SESSION_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(SESSION_FILES
    SOURCES
        ${SESSION_FILES_IN}
)
add_custom_target(xsession_desktop_files ALL DEPENDS ${SESSION_FILES})
#************************************************

MACRO(INSTALL_SESSION_FILES directory)
#    if(EXISTS ${directory})
        install(FILES
            ${SESSION_FILES}
            DESTINATION "${directory}"
            COMPONENT Runtime
        )
#    endif()
ENDMACRO(INSTALL_SESSION_FILES)

#INSTALL_SESSION_FILES("/etc/X11/sessions")
#INSTALL_SESSION_FILES("/usr/share/sessions")
INSTALL_SESSION_FILES("${CMAKE_INSTALL_DATAROOTDIR}/xsessions")
INSTALL_SESSION_FILES("${CMAKE_INSTALL_DATAROOTDIR}/kdm/sessions")
#INSTALL_SESSION_FILES("/usr/local/share/apps/kdm/sessions")
#INSTALL_SESSION_FILES("/usr/share/config/kdm/sessions")
#INSTALL_SESSION_FILES("/usr/local/share/config/kdm/sessions")

=== debian/changelog ===
lxqt-common (0.11.2-2) unstable; urgency=medium

  * provide xfwm4 theme 'Breeze' via xdg 

 -- Alf Gaida <agaida@siduction.org>  Sun, 15 Jan 2017 17:04:17 +0100

lxqt-common (0.11.2-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.11.2. (Closes: #836113)
  * Set oxygen-icon-theme as default alternative recommendation 
    (Closes: #851410)

 -- Alf Gaida <agaida@siduction.org>  Sun, 15 Jan 2017 01:45:50 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Depends: ${misc:Depends},
          libfile-mimeinfo-perl,
          x11-utils
-Recommends: breeze-icon-theme | oxygen-icon-theme | faenza-icon-theme,
+Recommends: oxygen-icon-theme | breeze-icon-theme | faenza-icon-theme,
             breeze-cursor-theme | chameleon-cursor-theme,
             xfwm4-theme-breeze, 
             fonts-hack-ttf,

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-common/releases .*/lxqt-common-([\d\.]+).tar.xz
